import vscode from 'vscode';

let _extensionContext: vscode.ExtensionContext;

export const bindExtensionContext = (ctx: vscode.ExtensionContext) => (_extensionContext = ctx);

export const getExtensionContext = () => _extensionContext;

export const getCurrentDepot = (): Record<string, string> | undefined => {
	return _extensionContext.globalState.get('currentDepot');
};
